FFmpeg API Compose
I-integrate
ffmpeg-api/compose
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tracks": [
{
"id": "your-id",
"type": "example",
"keyframes": [
{
"timestamp": 1,
"duration": 1,
"url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ffmpeg-api/compose?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"tracks": [
{
"id": "your-id",
"type": "example",
"keyframes": [
{
"timestamp": 1,
"duration": 1,
"url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"tracks": [
{
"id": "your-id",
"type": "example",
"keyframes": [
{
"timestamp": 1,
"duration": 1,
"url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
],
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ffmpeg-api/compose", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/fil/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "ffmpeg-api/compose",
"input": {
"tracks": [
{
"id": "your-id",
"type": "example",
"keyframes": [
{
"timestamp": 1,
"duration": 1,
"url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}
]
}
}
Tawagin ang modelong FFmpeg API Compose (ffmpeg-api/compose) sa pamamagitan ng Doitong API. Dokumentasyon para sa mga agent: https://doitong.com/fil/developers/models/ffmpeg-api/compose.md
POST https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"tracks": [
{
"id": "your-id",
"type": "example",
"keyframes": [
{
"timestamp": 1,
"duration": 1,
"url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}
]
}
Kung ang response status ay "queued" o "running", i-poll ang GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 hanggang maging "succeeded"; nasa outputs[].url ang mga file. Ang POST https://api.doitong.com/v1/quote/ffmpeg-api/compose na may parehong body ay nagbabalik ng eksaktong presyo bago patakbuhin.
Kahilingang ito: ≈$0.001 1 kredito ng API Patakbuhin ito sa page na ito
Ang bago mong API key. Ipinapakita lang ito ngayon at nasa code at sa field ng API key sa ibaba na. Panatilihin itong sikreto: huwag kailanman ilagay sa code na tumatakbo sa browser.
Dito mapupunta ang iyong unang resulta
Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.
Bumuo ng kahilingan
Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.
/run/ffmpeg-api/compose?wait=20
presyo → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tracks": [
{
"id": "your-id",
"type": "example",
"keyframes": [
{
"timestamp": 1,
"duration": 1,
"url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ffmpeg-api/compose?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"tracks": [
{
"id": "your-id",
"type": "example",
"keyframes": [
{
"timestamp": 1,
"duration": 1,
"url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"tracks": [
{
"id": "your-id",
"type": "example",
"keyframes": [
{
"timestamp": 1,
"duration": 1,
"url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
],
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ffmpeg-api/compose", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "ffmpeg-api/compose",
"input": {
"tracks": [
{
"id": "your-id",
"type": "example",
"keyframes": [
{
"timestamp": 1,
"duration": 1,
"url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}
]
},
"wait_seconds": 20
}
}
}
Patakbuhin ang kahilingang ito
Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key
Tungkol sa FFmpeg API Compose
Bumubuo ng final video mula sa listahan ng `tracks`. Dapat maglaman ang listahan ng eksaktong isang visual track, video man o larawan, at maaaring maglaman ng anumang bilang ng audio track. JSON ang output na may `video_url` at `thumbnail_url`.
Mga parameter
trackskinakailangan
tracks[].idkinakailangan
tracks[].typekinakailangan
tracks[].keyframeskinakailangan
tracks[].keyframes[].timestampkinakailangan
tracks[].keyframes[].durationkinakailangan
tracks[].keyframes[].urlkinakailangan
Output
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "ffmpeg-api/compose",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1,
"usd": "0.001",
"charged": 1,
"refunded": 0
},
"input": {
"tracks": [
{
"id": "your-id",
"type": "example",
"keyframes": [
{
"timestamp": 1,
"duration": 1,
"url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}
]
},
"output": {
"video_url": "string",
"thumbnail_url": "string"
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Mga field ng output
- video_url
- string (video URL)URL na tumutukoy sa naprosesong video.
- thumbnail_url
- stringURL na tumutukoy sa thumbnail ng video.
Iba pang variant ng FFmpeg
Higit pang modelo: Video patungong Video
Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/ffmpeg-api/compose.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt